Index: cpukit/libblock/include/rtems/bdbuf.h
===================================================================
--- cpukit/libblock/include/rtems/bdbuf.h	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/include/rtems/bdbuf.h	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -32,5 +32,5 @@
  * dev and block fields are search key in AVL-tree.
  * Modified buffers, free buffers and used buffers linked in 'mod', 'free' and
- * 'lru' chains appropriately. 
+ * 'lru' chains appropriately.
  */
 
@@ -38,5 +38,5 @@
     Chain_Node link; /* Link in the lru, mod or free chains */
 
-    struct bdbuf_avl_node { 
+    struct bdbuf_avl_node {
     	signed char cache;           /* Cache */
 
@@ -87,7 +87,7 @@
 
 /* rtems_bdbuf_init --
- *     Prepare buffering layer to work - initialize buffer descritors 
+ *     Prepare buffering layer to work - initialize buffer descritors
  *     and (if it is neccessary) buffers. Buffers will be allocated accoriding
- *     to the configuration table, each entry describes kind of block and 
+ *     to the configuration table, each entry describes kind of block and
  *     amount requested. After initialization all blocks is placed into
  *     free elements lists.
@@ -108,9 +108,9 @@
  *     Obtain block buffer. If specified block already cached (i.e. there's
  *     block in the _modified_, or _recently_used_), return address
- *     of appropriate buffer descriptor and increment reference counter to 1. 
- *     If block is not cached, allocate new buffer and return it. Data 
- *     shouldn't be read to the buffer from media; buffer may contains 
- *     arbitrary data. This primitive may be blocked if there are no free 
- *     buffer descriptors available and there are no unused non-modified 
+ *     of appropriate buffer descriptor and increment reference counter to 1.
+ *     If block is not cached, allocate new buffer and return it. Data
+ *     shouldn't be read to the buffer from media; buffer may contains
+ *     arbitrary data. This primitive may be blocked if there are no free
+ *     buffer descriptors available and there are no unused non-modified
  *     (or synchronized with media) buffers available.
  *
@@ -164,5 +164,5 @@
  * PARAMETERS:
  *     bd_buf - pointer to the bdbuf_buffer structure previously obtained using
- *              get/read primitive. 
+ *              get/read primitive.
  *
  * RETURNS:
@@ -178,5 +178,5 @@
 /* rtems_bdbuf_release_modified --
  *     Release buffer allocated before, assuming that it is _modified_ by
- *     it's owner. This primitive decrease usage counter for buffer, mark 
+ *     it's owner. This primitive decrease usage counter for buffer, mark
  *     buffer descriptor as modified. If usage counter is 0, insert it at
  *     end of mod chain and release flush_sema semaphore to activate the
@@ -243,5 +243,5 @@
  * RETURNS:
  *     RTEMS status code: RTEMS_SUCCESSFUL if operation completed successfully,
- *     RTEMS_INVALID_SIZE if specified block size is invalid (not a power 
+ *     RTEMS_INVALID_SIZE if specified block size is invalid (not a power
  *     of 2), RTEMS_NOT_DEFINED if buffer pool for this or greater block size
  *     is not configured.
@@ -257,5 +257,5 @@
  *     block_size - block size for which buffer pool is configured returned
  *                  there
- *     blocks     - number of buffers in buffer pool returned there 
+ *     blocks     - number of buffers in buffer pool returned there
  *
  * RETURNS:
Index: cpukit/libblock/include/rtems/blkdev.h
===================================================================
--- cpukit/libblock/include/rtems/blkdev.h	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/include/rtems/blkdev.h	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -1,3 +1,3 @@
-/* 
+/*
  * blkdev.h - block device driver interface definitions
  *
@@ -19,5 +19,5 @@
 
 /* Interface with device drivers
- * Block device looks, initialized and behaves like traditional RTEMS device 
+ * Block device looks, initialized and behaves like traditional RTEMS device
  * driver. Heart of the block device driver is in BIOREQUEST ioctl. This call
  * puts I/O request to the block device queue, in priority order, for
@@ -44,5 +44,5 @@
  *              status != RTEMS_SUCCESSFUL
  */
-typedef void (* blkdev_request_cb)(void *arg, 
+typedef void (* blkdev_request_cb)(void *arg,
                                    rtems_status_code status,
                                    int error);
@@ -57,5 +57,5 @@
 
 /* blkdev_request (Block Device Request) structure is
- * used to read/write a number of blocks from/to device. 
+ * used to read/write a number of blocks from/to device.
  */
 typedef struct blkdev_request {
@@ -64,10 +64,10 @@
     void             *done_arg; /* Argument to be passed to callback function*/
     rtems_status_code status;  /* Last I/O operation completion status */
-    int               error;   /* If status != RTEMS_SUCCESSFUL, this field 
+    int               error;   /* If status != RTEMS_SUCCESSFUL, this field
                                 * contains error code
                                 */
     blkdev_bnum       start;    /* Start block number */
     uint32_t    count;    /* Number of blocks to be exchanged */
-    uint32_t    bufnum;   /* Number of buffers provided */    
+    uint32_t    bufnum;   /* Number of buffers provided */
 
     blkdev_sg_buffer  bufs[0];/* List of scatter/gather buffers */
@@ -81,6 +81,6 @@
 
 /* Device driver interface conventions suppose that driver may
- * contain initialize/open/close/read/write/ioctl entry points. These 
- * primitives (except initialize) can be implemented in generic fashion, 
+ * contain initialize/open/close/read/write/ioctl entry points. These
+ * primitives (except initialize) can be implemented in generic fashion,
  * based upon supplied block device driver ioctl handler. Every block
  * device driver should provide initialize entry point, which is register
@@ -105,6 +105,6 @@
 
 /* blkdev_generic_write --
- *     Generic block device driver write primitive. Implemented using block 
- *     device buffer management primitives. 
+ *     Generic block device driver write primitive. Implemented using block
+ *     device buffer management primitives.
  */
 rtems_device_driver
Index: cpukit/libblock/include/rtems/diskdevs.h
===================================================================
--- cpukit/libblock/include/rtems/diskdevs.h	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/include/rtems/diskdevs.h	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -1,3 +1,3 @@
-/* 
+/*
  * logdisk.h - Physical and logical block devices (disks) support
  *
@@ -49,5 +49,5 @@
                                              in disk blocks */
     int                 block_size;       /* Size of device block (minimum
-                                             transfer unit) in bytes 
+                                             transfer unit) in bytes
                                              (must be power of 2) */
     int                 block_size_log2;  /* log2 of block_size */
@@ -92,5 +92,5 @@
  *     invoked from application when application-specific splitting are in use,
  *     or from generic code which handle different logical disk organizations.
- *     This primitive will register device in rtems (invoke 
+ *     This primitive will register device in rtems (invoke
  *     rtems_io_register_name).
  *
@@ -98,5 +98,5 @@
  *     dev   - logical device identifier (major, minor numbers)
  *     phys  - physical device (block device which holds this logical disk)
- *             identifier 
+ *             identifier
  *     start - starting block number on the physical device
  *     size  - logical disk size in blocks
@@ -106,5 +106,5 @@
  *     RTEMS_SUCCESSFUL if logical device successfully added, or error code
  *     if error occured (device already registered, no physical device
- *     exists, logical disk is out of physical disk boundaries, no memory 
+ *     exists, logical disk is out of physical disk boundaries, no memory
  *     available).
  */
@@ -181,5 +181,5 @@
  *
  * RETURNS:
- *     RTEMS_SUCCESSFUL if library initialized, or error code if error 
+ *     RTEMS_SUCCESSFUL if library initialized, or error code if error
  *     occured.
  */
@@ -194,5 +194,5 @@
  *
  * RETURNS:
- *     RTEMS_SUCCESSFUL if all resources released, or error code if error 
+ *     RTEMS_SUCCESSFUL if all resources released, or error code if error
  *     occured.
  */
Index: cpukit/libblock/include/rtems/ide_part_table.h
===================================================================
--- cpukit/libblock/include/rtems/ide_part_table.h	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/include/rtems/ide_part_table.h	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -78,5 +78,5 @@
  *      corresponds to the sector on the device
  */
-typedef struct sector_data_s 
+typedef struct sector_data_s
 {
     uint32_t   sector_num; /* sector number on the device */
Index: cpukit/libblock/src/bdbuf.c
===================================================================
--- cpukit/libblock/src/bdbuf.c	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/src/bdbuf.c	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -62,7 +62,7 @@
 
     Chain_Control  mod;          /* Modified buffers list */
-    rtems_id       flush_sema;   /* Buffer flush semaphore; counting 
+    rtems_id       flush_sema;   /* Buffer flush semaphore; counting
                                     semaphore; incremented when buffer
-                                    flushed to the disk; decremented when 
+                                    flushed to the disk; decremented when
                                     buffer modified */
     rtems_id       swapout_task; /* Swapout task ID */
@@ -463,5 +463,5 @@
         r = q->avl.left;
         if (r != NULL)
-        {   
+        {
             r->avl.bal = 0;
         }
@@ -763,7 +763,7 @@
 
 /* rtems_bdbuf_init --
- *     Prepare buffering layer to work - initialize buffer descritors 
+ *     Prepare buffering layer to work - initialize buffer descritors
  *     and (if it is neccessary)buffers. Buffers will be allocated accoriding
- *     to the configuration table, each entry describes kind of block and 
+ *     to the configuration table, each entry describes kind of block and
  *     amount requested. After initialization all blocks is placed into
  *     free elements lists.
@@ -832,5 +832,5 @@
         rtems_build_name('B', 'S', 'W', 'P'),
         SWAPOUT_PRIORITY,
-        SWAPOUT_STACK_SIZE, 
+        SWAPOUT_STACK_SIZE,
         RTEMS_DEFAULT_MODES | RTEMS_NO_PREEMPT,
         RTEMS_DEFAULT_ATTRIBUTES,
@@ -863,9 +863,9 @@
  *     obtain block buffer. If specified block already cached (i.e. there's
  *     block in the _modified_, or _recently_used_), return address
- *     of appropriate buffer descriptor and increment reference counter to 1. 
- *     If block is not cached, allocate new buffer and return it. Data 
- *     shouldn't be read to the buffer from media; buffer contains arbitrary 
- *     data. This primitive may be blocked if there are no free buffer 
- *     descriptors available and there are no unused non-modified (or 
+ *     of appropriate buffer descriptor and increment reference counter to 1.
+ *     If block is not cached, allocate new buffer and return it. Data
+ *     shouldn't be read to the buffer from media; buffer contains arbitrary
+ *     data. This primitive may be blocked if there are no free buffer
+ *     descriptors available and there are no unused non-modified (or
  *     synchronized with media) buffers available.
  *
@@ -887,5 +887,5 @@
 static rtems_status_code
 find_or_assign_buffer(disk_device *dd,
-                      blkdev_bnum block, 
+                      blkdev_bnum block,
                       bdbuf_buffer **ret_buf)
 {
@@ -909,7 +909,7 @@
     {
         /* Try to obtain semaphore without waiting first. It is the most
-           frequent case when reasonable number of buffers configured. If 
-           it is failed, obtain semaphore blocking on it. In this case 
-           it should be checked that appropriate buffer hasn't been loaded 
+           frequent case when reasonable number of buffers configured. If
+           it is failed, obtain semaphore blocking on it. In this case
+           it should be checked that appropriate buffer hasn't been loaded
            by another thread, because this thread is preempted */
         rc = rtems_semaphore_obtain(bd_pool->bufget_sema, RTEMS_NO_WAIT, 0);
@@ -932,5 +932,5 @@
             if (bd_buf != NULL)
             {
-                int avl_result; 
+                int avl_result;
                 avl_result = avl_remove(&bd_pool->tree, bd_buf);
                 if (avl_result != 0)
@@ -987,15 +987,15 @@
             if (bd_buf->modified)
             {
-                rc = rtems_semaphore_obtain(bd_ctx.flush_sema, 
+                rc = rtems_semaphore_obtain(bd_ctx.flush_sema,
                                             RTEMS_NO_WAIT, 0);
             }
             else
             {
-                rc = rtems_semaphore_obtain(bd_pool->bufget_sema, 
+                rc = rtems_semaphore_obtain(bd_pool->bufget_sema,
                                             RTEMS_NO_WAIT, 0);
             }
-            /* It is possible that we couldn't obtain flush or bufget sema 
+            /* It is possible that we couldn't obtain flush or bufget sema
              * although buffer in the appropriate chain is available:
-             * semaphore may be released to swapout task, but this task 
+             * semaphore may be released to swapout task, but this task
              * actually did not start to process it. */
             if (rc == RTEMS_UNSATISFIED)
@@ -1027,9 +1027,9 @@
  *     Obtain block buffer. If specified block already cached (i.e. there's
  *     block in the _modified_, or _recently_used_), return address
- *     of appropriate buffer descriptor and increment reference counter to 1. 
- *     If block is not cached, allocate new buffer and return it. Data 
- *     shouldn't be read to the buffer from media; buffer may contains 
- *     arbitrary data. This primitive may be blocked if there are no free 
- *     buffer descriptors available and there are no unused non-modified 
+ *     of appropriate buffer descriptor and increment reference counter to 1.
+ *     If block is not cached, allocate new buffer and return it. Data
+ *     shouldn't be read to the buffer from media; buffer may contains
+ *     arbitrary data. This primitive may be blocked if there are no free
+ *     buffer descriptors available and there are no unused non-modified
  *     (or synchronized with media) buffers available.
  *
@@ -1094,5 +1094,5 @@
     mutex_attr.priority_ceiling = 0;
 
-    _CORE_mutex_Initialize(&bd_buf->transfer_sema, 
+    _CORE_mutex_Initialize(&bd_buf->transfer_sema,
                            &mutex_attr, CORE_MUTEX_LOCKED);
 }
@@ -1121,5 +1121,5 @@
     bd_buf->in_progress = bd_buf->modified = FALSE;
     _CORE_mutex_Surrender(&bd_buf->transfer_sema, 0, NULL);
-    _CORE_mutex_Flush(&bd_buf->transfer_sema, NULL, 
+    _CORE_mutex_Flush(&bd_buf->transfer_sema, NULL,
                       CORE_MUTEX_STATUS_SUCCESSFUL);
 }
@@ -1147,5 +1147,5 @@
     bd_buf->error = RTEMS_IO_ERROR;
     _CORE_mutex_Surrender(&bd_buf->transfer_sema, 0, NULL);
-    _CORE_mutex_Flush(&bd_buf->transfer_sema, NULL, 
+    _CORE_mutex_Flush(&bd_buf->transfer_sema, NULL,
                       CORE_MUTEX_STATUS_SUCCESSFUL);
 }
@@ -1173,5 +1173,5 @@
  */
 rtems_status_code
-rtems_bdbuf_read(dev_t device, 
+rtems_bdbuf_read(dev_t device,
                  blkdev_bnum block,
                  bdbuf_buffer **bd)
@@ -1295,5 +1295,5 @@
         else
         {
-            /* Buffer was not modified. Add this descriptor to the 
+            /* Buffer was not modified. Add this descriptor to the
              * end of lru chain and make it available for reuse. */
             Chain_Append(&bd_pool->lru, &bd_buf->link);
@@ -1315,5 +1315,5 @@
  * PARAMETERS:
  *     bd_buf - pointer to the bdbuf_buffer structure previously obtained using
- *              get/read primitive. 
+ *              get/read primitive.
  *
  * RETURNS:
@@ -1344,5 +1344,5 @@
 /* rtems_bdbuf_release_modified --
  *     Release buffer allocated before, assuming that it is _modified_ by
- *     it's owner. This primitive decrease usage counter for buffer, mark 
+ *     it's owner. This primitive decrease usage counter for buffer, mark
  *     buffer descriptor as modified. If usage counter is 0, insert it at
  *     end of mod chain and release flush_sema semaphore to activate the
@@ -1377,5 +1377,5 @@
     bd_buf->modified = TRUE;
     bd_buf->actual = TRUE;
-    rc = bdbuf_release(bd_buf);    
+    rc = bdbuf_release(bd_buf);
 
     ENABLE_PREEMPTION(key);
@@ -1480,5 +1480,5 @@
  *     disk.
  */
-static rtems_task 
+static rtems_task
 bdbuf_swapout_task(rtems_task_argument unused)
 {
@@ -1522,5 +1522,5 @@
         req.req.bufs[0].buffer = bd_buf->buffer;
 
-        /* transfer_sema initialized when bd_buf inserted in the mod chain 
+        /* transfer_sema initialized when bd_buf inserted in the mod chain
            first time */
         result = dd->ioctl(dd->phys_dev->dev, BLKIO_REQUEST, &req);
@@ -1576,5 +1576,5 @@
  * RETURNS:
  *     RTEMS status code: RTEMS_SUCCESSFUL if operation completed successfully,
- *     RTEMS_INVALID_SIZE if specified block size is invalid (not a power 
+ *     RTEMS_INVALID_SIZE if specified block size is invalid (not a power
  *     of 2), RTEMS_NOT_DEFINED if buffer pool for this or greater block size
  *     is not configured.
@@ -1624,5 +1624,5 @@
  *     block_size - block size for which buffer pool is configured returned
  *                  there
- *     blocks     - number of buffers in buffer pool returned there 
+ *     blocks     - number of buffers in buffer pool returned there
  *
  * RETURNS:
Index: cpukit/libblock/src/blkdev.c
===================================================================
--- cpukit/libblock/src/blkdev.c	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/src/blkdev.c	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -1,4 +1,4 @@
-/* 
- * blkdev.h - block device driver generic support 
+/*
+ * blkdev.h - block device driver generic support
  *
  * Copyright (C) 2001 OKTET Ltd., St.-Petersburg, Russia
@@ -83,5 +83,5 @@
 /* rtems_blkdev_generic_write --
  *     Generic block device write primitive. Implemented using block device
- *     buffer management primitives. 
+ *     buffer management primitives.
  */
 rtems_device_driver
@@ -234,5 +234,5 @@
             blkdev_request *req = args->buffer;
             req->start += dd->start;
-            args->ioctl_return = dd->ioctl(dd->phys_dev->dev, args->command, 
+            args->ioctl_return = dd->ioctl(dd->phys_dev->dev, args->command,
                                            req);
             break;
@@ -240,5 +240,5 @@
 
         default:
-            args->ioctl_return = dd->ioctl(dd->phys_dev->dev, args->command, 
+            args->ioctl_return = dd->ioctl(dd->phys_dev->dev, args->command,
                                            args->buffer);
             break;
Index: cpukit/libblock/src/diskdevs.c
===================================================================
--- cpukit/libblock/src/diskdevs.c	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/src/diskdevs.c	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -1,3 +1,3 @@
-/* 
+/*
  * diskdevs.c - Physical and logical block devices (disks) support
  *
@@ -298,5 +298,5 @@
  *     invoked from application when application-specific splitting are in use,
  *     or from generic code which handle different logical disk organizations.
- *     This primitive will register device in rtems (invoke 
+ *     This primitive will register device in rtems (invoke
  *     rtems_io_register_name).
  *
@@ -304,5 +304,5 @@
  *     dev   - logical device identifier (major, minor numbers)
  *     phys  - physical device (block device which holds this logical disk)
- *             identifier 
+ *             identifier
  *     start - starting block number on the physical device
  *     size  - logical disk size in blocks
@@ -312,5 +312,5 @@
  *     RTEMS_SUCCESSFUL if logical device successfully added, or error code
  *     if error occured (device already registered, no physical device
- *     exists, logical disk is out of physical disk boundaries, no memory 
+ *     exists, logical disk is out of physical disk boundaries, no memory
  *     available).
  */
@@ -459,5 +459,5 @@
     {
         rtems_interrupt_enable(level);
-        rc = rtems_semaphore_obtain(diskdevs_mutex, RTEMS_WAIT, 
+        rc = rtems_semaphore_obtain(diskdevs_mutex, RTEMS_WAIT,
                                     RTEMS_NO_TIMEOUT);
         if (rc != RTEMS_SUCCESSFUL)
@@ -525,5 +525,5 @@
 
     dtab = disktab + major;
-    while (TRUE) 
+    while (TRUE)
     {
         if ((dtab == NULL) || (minor > dtab->size))
@@ -551,5 +551,5 @@
  *
  * RETURNS:
- *     RTEMS_SUCCESSFUL if library initialized, or error code if error 
+ *     RTEMS_SUCCESSFUL if library initialized, or error code if error
  *     occured.
  */
@@ -570,5 +570,5 @@
     rc = rtems_semaphore_create(
         rtems_build_name('D', 'D', 'E', 'V'), 1,
-        RTEMS_FIFO | RTEMS_BINARY_SEMAPHORE | RTEMS_NO_INHERIT_PRIORITY | 
+        RTEMS_FIFO | RTEMS_BINARY_SEMAPHORE | RTEMS_NO_INHERIT_PRIORITY |
         RTEMS_NO_PRIORITY_CEILING | RTEMS_LOCAL, 0, &diskdevs_mutex);
 
@@ -600,5 +600,5 @@
  *
  * RETURNS:
- *     RTEMS_SUCCESSFUL if all resources released, or error code if error 
+ *     RTEMS_SUCCESSFUL if all resources released, or error code if error
  *     occured.
  */
@@ -610,5 +610,5 @@
     rtems_status_code rc;
 
-    /* Free data structures */    
+    /* Free data structures */
     for (maj = 0; maj < disktab_size; maj++)
     {
Index: cpukit/libblock/src/ide_part_table.c
===================================================================
--- cpukit/libblock/src/ide_part_table.c	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/src/ide_part_table.c	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -47,5 +47,5 @@
  */
 static rtems_status_code
-get_sector(dev_t dev, uint32_t sector_num, sector_data_t **sector) 
+get_sector(dev_t dev, uint32_t sector_num, sector_data_t **sector)
 {
     sector_data_t      *s;
@@ -93,5 +93,5 @@
  */
 static rtems_boolean
-msdos_signature_check (sector_data_t *sector) 
+msdos_signature_check (sector_data_t *sector)
 {
     uint8_t *p = sector->data + RTEMS_IDE_PARTITION_MSDOS_SIGNATURE_OFFSET;
@@ -113,5 +113,5 @@
  */
 static rtems_boolean
-is_extended(uint8_t type) 
+is_extended(uint8_t type)
 {
     return ((type == EXTENDED_PARTITION) || (type == LINUX_EXTENDED));
@@ -129,5 +129,5 @@
  */
 static rtems_boolean
-is_fat_partition(uint8_t type) 
+is_fat_partition(uint8_t type)
 {
   static const uint8_t fat_part_types[] = {
@@ -187,5 +187,5 @@
 
     /*
-     * use partitions that are 
+     * use partitions that are
      * - extended
      * or
@@ -196,5 +196,5 @@
       *new_part_desc = part_desc;
     }
-    else {  
+    else {
       /* empty partition */
       free(part_desc);
@@ -210,5 +210,5 @@
  *
  * PARAMETERS:
- *      start    - start sector of primary extended partition, used for 
+ *      start    - start sector of primary extended partition, used for
  *                 calculation of absolute partition sector address
  *      ext_part - description of extended partition to process
@@ -220,5 +220,5 @@
  */
 static rtems_status_code
-read_extended_partition(uint32_t start, part_desc_t *ext_part) 
+read_extended_partition(uint32_t start, part_desc_t *ext_part)
 {
     int                 i;
@@ -257,5 +257,5 @@
     data = sector->data + RTEMS_IDE_PARTITION_TABLE_OFFSET;
 
-    for (i = 0; i < RTEMS_IDE_PARTITION_MAX_SUB_PARTITION_NUMBER; i++) 
+    for (i = 0; i < RTEMS_IDE_PARTITION_MAX_SUB_PARTITION_NUMBER; i++)
     {
         /* if data_to_part_desc fails skip this partition
@@ -279,11 +279,11 @@
         new_part_desc->disk_desc = ext_part->disk_desc;
 
-        if (is_extended(new_part_desc->sys_type)) 
+        if (is_extended(new_part_desc->sys_type))
         {
             new_part_desc->log_id = EMPTY_PARTITION;
             new_part_desc->start += start;
-            read_extended_partition(start, new_part_desc); 
-        }
-        else 
+            read_extended_partition(start, new_part_desc);
+        }
+        else
         {
             disk_desc_t *disk_desc = new_part_desc->disk_desc;
@@ -315,5 +315,5 @@
  */
 static rtems_status_code
-read_mbr(disk_desc_t *disk_desc) 
+read_mbr(disk_desc_t *disk_desc)
 {
     int                 part_num;
@@ -352,5 +352,5 @@
         }
 
-        if (part_desc != NULL) 
+        if (part_desc != NULL)
         {
             part_desc->log_id = part_num + 1;
@@ -358,5 +358,5 @@
             part_desc->end = part_desc->start + part_desc->size - 1;
             disk_desc->partitions[part_num] = part_desc;
-        } 
+        }
         else
         {
Index: cpukit/libblock/src/ramdisk.c
===================================================================
--- cpukit/libblock/src/ramdisk.c	(revision 714f06c7fa0520bed36fa2a1b9e29986d1184ed0)
+++ cpukit/libblock/src/ramdisk.c	(revision 8b961495bbc5cc4efa9a199dd0dc2397ba0c33ca)
@@ -30,5 +30,5 @@
     void         *area;       /* RAM disk memory area */
     rtems_boolean initialized;/* RAM disk is initialized */
-    rtems_boolean malloced;   /* != 0, if memory allocated by malloc for this 
+    rtems_boolean malloced;   /* != 0, if memory allocated by malloc for this
                                  RAM disk */
 };
@@ -41,5 +41,5 @@
  *     disk to supplied buffer and invoke the callout function to inform
  *     upper layer that reading is completed.
- * 
+ *
  * PARAMETERS:
  *     req - pointer to the READ block device request info
@@ -76,5 +76,5 @@
  *     supplied buffer to RAM disk and invoke the callout function to inform
  *     upper layer that writing is completed.
- * 
+ *
  * PARAMETERS:
  *     req - pointer to the WRITE block device request info
@@ -160,5 +160,5 @@
 
 /* ramdisk_initialize --
- *     RAM disk device driver initialization. Run through RAM disk 
+ *     RAM disk device driver initialization. Run through RAM disk
  *     configuration information and configure appropriate RAM disks.
  *
@@ -186,5 +186,5 @@
         return rc;
 
-    r = ramdisk = calloc(rtems_ramdisk_configuration_size, 
+    r = ramdisk = calloc(rtems_ramdisk_configuration_size,
                          sizeof(struct ramdisk));
 
